Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding
Class PropertyIsInstanceOfOperation

    java.lang.Object
      org.deegree.model.filterencoding.AbstractOperation
          org.deegree.model.filterencoding.ComparisonOperation
              org.deegree.model.filterencoding.PropertyIsInstanceOfOperation

All Implemented Interfaces:
  Operation

    public class PropertyIsInstanceOfOperation

extends ComparisonOperation

deegree-specific `ComparisonOperation` that allows to check the type of a property.

This is useful if the property has an abstract type with several concrete implementations, for example 'gml:_Geometry'.

NOTE: Currently supported types to test are:

- gml:Point
- gml:_Curve
- gml:_Surface

Version:
  $Revision: 25586 $, $Date: 2010-07-28 16:50:09 +0200 (Mi, 28. Jul 2010) $
Author:
  Markus Schneider, last edited by: $Author: apoth $

Field Summary

Fields inherited from class org.deegree.model.filterencoding.AbstractOperation
`operatorId`

Constructor Summary
`PropertyIsInstanceOfOperation(PropertyName propertyName, QualifiedName typeName)` Creates a new instance of `PropertyIsInstanceOfOperation`.

Method Summary
`static Operation` | `buildFromDOM(Element element)` Given a DOM-fragment, a corresponding Operation-object is built.
`boolean` | `evaluate(Feature feature)` Calculates the `Operation`'s logical value based on the certain property values of the given feature.
`PropertyName` | `getPropertyName()`
`QualifiedName` | `getTypeName()`
`StringBuffer` | `to100XML()` Produces an XML representation of this object that complies to Filter Encoding specification 1.0.0.
`StringBuffer` | `to110XML()` Produces an XML representation of this object that complies to Filter Encoding specification 1.1.0.
`StringBuffer` | `toXML()` Produces an XML representation of this object.

Methods inherited from class org.deegree.model.filterencoding.ComparisonOperation
`buildFromDOM`

Methods inherited from class org.deegree.model.filterencoding.AbstractOperation
`getOperatorId, getOperatorName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyIsInstanceOfOperation

    public PropertyIsInstanceOfOperation(PropertyName propertyName,
                                         QualifiedName typeName)

  Creates a new instance of `PropertyIsInstanceOfOperation`.

  Parameters:
    `propertyName` -
    `typeName` -

Method Detail

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Operation`
  Produces an XML representation of this object.

  Returns:
    an XML representation of this object.

### to100XML

    public StringBuffer to100XML()

  Description copied from interface: `Operation`
  Produces an XML representation of this object that complies to Filter Encoding specification 1.0.0.

  Returns:
    an XML representation of this object

### to110XML

    public StringBuffer to110XML()

  Description copied from interface: `Operation`
  Produces an XML representation of this object that complies to Filter Encoding specification 1.1.0.

  Returns:
    an XML representation of this object

### evaluate

    public boolean evaluate(Feature feature)
                     throws FilterEvaluationException

  Calculates the `Operation`'s logical value based on the certain property values of the given feature.

  Parameters:
    `feature` - that determines the values of `PropertyNames` in the expression
  Returns:
    true, if the `Operation` evaluates to true, else false
  Throws:
    `FilterEvaluationException` - if the evaluation fails

### buildFromDOM

    public static Operation buildFromDOM(Element element)
                                  throws FilterConstructionException

  Given a DOM-fragment, a corresponding Operation-object is built. This method recursively calls other buildFromDOM () - methods to validate the structure of the DOM-fragment.

  Parameters:
    `element` - to build from
  Returns:
    the Bean of the DOM
  Throws:
    `FilterConstructionException` - if the structure of the DOM-fragment is invalid

### getPropertyName

    public PropertyName getPropertyName()

  Returns:
    the propertyName of this Operation

### getTypeName

    public QualifiedName getTypeName()

  Returns:
    the typeName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org